# Link Mágico

{% hint style="info" %}
**Importante**: Sempre altere os dados entre chaves com o parâmetro respectivo.&#x20;

**Exemplo prático**:

No metodo estará descrevendo a rota com&#x6F;**:**

URL\_BASE/users/show-id/{id}/`{token_do_desenvolvedor}/{token_da_plataforma}`

Como ficará na prática:&#x20;

URL\_BASE/users/show-id/*<mark style="background-color:purple;">66caec96-...432</mark>*/*<mark style="color:green;background-color:purple;">66caec96-4749-...e07ed7</mark>*/*<mark style="background-color:purple;">66caec96-...4324</mark>*
{% endhint %}

Para criar um link mágico para usuários, utilize o verbo **POST** na seguinte rota:

<mark style="color:$primary;">`POST`</mark>`URL_BASE/partners/magic-link/{token_do_desenvolvedor}/{token_da_plataforma}`

Alternativamente, você pode usar a seguinte forma, passando os tokens como parâmetros de consulta:

<mark style="color:$primary;">`POST`</mark>`URL_BASE/partners/magic-link/?developer_token={token_do_desenvolvedor}&platform_token={token_da_plataforma}`

**Envio de Body:**

```json
{
    "email": "exemplo@dominio.com"
}
```

**Resposta Esperada:**

```json
{
    "status": "success",
    "url": "https://teste.themembers.com.br/login-magico/{token_magico}",
    "user": {
        "id": "{id_do_usuario}",
        "name": "{nome_do_usuario}",
        "last_name": "{sobrenome_do_usuario}",
        "email": "{email_do_usuario}"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://documentation.themembers.dev.br/api-gerenciamento-de-usuarios/referencia-da-api/link-magico.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
